SOELIM(1)

NAZWA
soelim - interpretuje zapytania .so w wejściu groff

SKŁADNIA
soelim [-Crtv] [-I dir] [plik ...]

OPIS
soelim czyta pliki i zastępuje wiersze o postaci

    .so plik

zawartością pliku. Jest to przydatne jeśli pliki zawarte w .so muszą być preprocesowane. Zwykle, soelim powinien być wywoływany z opcją -s programu groff.

By osadzić ‘\’ w nazwie pliku, użyj zapisu ‘\\’ lub ‘\e’. By umieścić spację, użyj ‘\ ’. Wszystkie pozostałe sekwencje wyjścia w pliku sprawią, że soelim zignoruje całą linię.

Proszę zauważyć, że początkowa kropka nie może być oddzielona spacjami od następujących po niej znaków ‘s’ oraz ‘o’. W przeciwnym wypadku tylko groff zinterpretuje żądanie .so (a soelim je zignoruje).

OPCJE
Puste znaki są dozwolone pomiędzy opcjami i ich argumentami w wierszu poleceń.

-C  Rozpoznaje .so, nawet jeśli jest poprzedzone znakiem innym niż spacja czy znak nowej linii.

-I katalog
    Ta opcja może zostać użyta by dodać katalog do ścieżki wyszukiwania plików (dla obu, tych w wierszu poleceń oraz tych wymienionych w zapytaniach .so). Ścieżka wyszukiwania jest zainicjowana w obecnym katalogu. Ta opcja może zostać określona więcej niż raz; w takim przypadku katalogi są przeszukiwane w podanej kolejności (lecz przed obecnym katalogiem). Jeśli chcesz, by obecny katalog był odczytany przed pozostałymi katalogami, dodaj -I. w odpowiednim miejscu.

    Żaden katalog nie jest przeszukiwany dla plików podanych za pomocą bezwzględnej ścieżki.

-r  Nie dodaje zapytań .lf (do ogólnego użytku z plikami niebędącymi w formacie groffa).

-t  Nie produkuje żądań .lf, ale linie komentarza TeX (zaczynające się od ‘%’)) zawierające nazwę bieżącego pliku i numer linii.

-v  Wyświetla numer wersji.

UŻYCIE
Zwykła sekwencja procesowanie groffa jest następująca:

          input        sourced
          file          file
            |             |
            v             v
        preprocessor -> troff -> postprocessor
                                      |
                                      v
                                   output
                                    file

To jest, pliki dołączane za pomocą .so są zazwyczaj czytane tylko przez troff (właściwy program formatujący). soelim nie jest wymagany przez pliki źródłowe troff.

Jeśli plik do wczytania także powinien być przedprocesowany, musi zostać odczytany zanim pliki wejściowe przejdą przez preprocesor. Jest to obsługiwane przez soelim:

          input
          file
            |
            v
          soelim -> preprocessor -> troff -> postprocessor
            ^                                     |
            |                                     v
         sourced                               output
          file                                  file

ZOBACZ TAKŻE
groff(1)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl>, Robert Luberda <robert@debian.org> i Szymon Lamkiewicz <s.lam@o2.pl>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.